Skip to content

Retrieve a known group

Request

Retrieve a known group by their ID.

Note: This checks the group is present in the SCIM application.

Security
BearerAuth
Path
groupIdstring, (uuid)required

The group ID.

Example:2819c223-7f76-453a-919d-413861904646
GET
/scim/v2/Groups/{groupId}
curl --request GET \
  --url https://YOUR_DOMAIN/scim/v2/Users/{groupId} \
  --header 'Content-type: application/scim+json' \
  --header 'Authorization: Bearer eyJ0eX...ll4Q2NT'

Responses

Successfully returned the resource

Bodyapplication/json
schemasArray of stringsrequired
Example:
[ "urn:ietf:params:scim:schemas:core:2.0:Group" ]
idstring, (uuid)

A unique identifier for a SCIM resource as defined by the service provider.

Example:"2819c223-7f76-453a-919d-413861904646"
externalIdstring

A String that is an identifier for the resource as defined by the provisioning client.

displayNamestringrequired

A human-readable name for the Group.

Example:"Tour Guides"
membersArray of objects

A list of members of the Group.

Example:
[ { "value": "92b725cd-9465-4e7d-8c16-01f8e146b87a", "ref": "https://example.com/v2/Users/92b725cd-9465-4e7d-8c16-01f8e146b87a", "type": "User" } ]
resourceTypestring

The name of the resource type of the resource.

createdstring, (date-time)

The "DateTime" that the resource was added to the service provider.

lastModifiedstring, (date-time)

The most recent DateTime that the details of this resource were updated at the service provider.

locationstring

The URI of the resource being returned.

versionstring

The version of the resource being returned.

Response
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ], "id": "2819c223-7f76-453a-919d-413861904646", "displayName": "Tour Guides", "members": [ {} ], "meta": { "resourceType": "Group", "created": "2011-08-01T18:29:49.793Z", "lastModified": "2011-08-01T20:31:02.315Z", "location": "https://example.com/v2/Groups/e9e30dba-f08f-4109-8486-d5c6a331660a" } }